Bug 186368 - Improve error messages in case FetchEvent.respondWith has a rejected promise
Summary: Improve error messages in case FetchEvent.respondWith has a rejected promise
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Service Workers (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-06-06 15:54 PDT by youenn fablet
Modified: 2018-06-11 19:39 PDT (History)
9 users (show)

See Also:


Attachments
Patch (38.37 KB, patch)
2018-06-06 20:15 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews106 for mac-sierra-wk2 (2.72 MB, application/zip)
2018-06-06 21:20 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews121 for ios-simulator-wk2 (2.21 MB, application/zip)
2018-06-06 22:03 PDT, Build Bot
no flags Details
Patch (39.05 KB, patch)
2018-06-06 22:05 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (39.67 KB, patch)
2018-06-07 07:36 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews202 for win-future (12.83 MB, application/zip)
2018-06-07 09:26 PDT, Build Bot
no flags Details
Patch for landing (39.63 KB, patch)
2018-06-11 16:54 PDT, youenn fablet
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description youenn fablet 2018-06-06 15:54:15 PDT
This will help debugging
Comment 1 youenn fablet 2018-06-06 20:15:19 PDT
Created attachment 342111 [details]
Patch
Comment 2 Build Bot 2018-06-06 21:20:04 PDT
Comment on attachment 342111 [details]
Patch

Attachment 342111 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/8045435

New failing tests:
http/tests/workers/service/basic-fetch.https.html
Comment 3 Build Bot 2018-06-06 21:20:05 PDT
Created attachment 342115 [details]
Archive of layout-test-results from ews106 for mac-sierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews106  Port: mac-sierra-wk2  Platform: Mac OS X 10.12.6
Comment 4 Build Bot 2018-06-06 22:03:43 PDT
Comment on attachment 342111 [details]
Patch

Attachment 342111 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/8045898

New failing tests:
http/tests/workers/service/basic-fetch.https.html
Comment 5 Build Bot 2018-06-06 22:03:44 PDT
Created attachment 342119 [details]
Archive of layout-test-results from ews121 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews121  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.4
Comment 6 youenn fablet 2018-06-06 22:05:53 PDT
Created attachment 342120 [details]
Patch
Comment 7 youenn fablet 2018-06-07 07:36:32 PDT
Created attachment 342159 [details]
Patch
Comment 8 Build Bot 2018-06-07 09:25:49 PDT
Comment on attachment 342159 [details]
Patch

Attachment 342159 [details] did not pass win-ews (win):
Output: http://webkit-queues.webkit.org/results/8056421

New failing tests:
http/tests/security/contentSecurityPolicy/userAgentShadowDOM/allow-video.html
Comment 9 Build Bot 2018-06-07 09:26:00 PDT
Created attachment 342176 [details]
Archive of layout-test-results from ews202 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews202  Port: win-future  Platform: CYGWIN_NT-6.1-2.9.0-0.318-5-3-x86_64-64bit
Comment 10 youenn fablet 2018-06-07 09:57:03 PDT
Comment on attachment 342159 [details]
Patch

win error is unrelated
Comment 11 Chris Dumez 2018-06-11 16:47:45 PDT
Comment on attachment 342159 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=342159&action=review

> Source/WebCore/ChangeLog:10
> +        Introduce a new error domain for service worker ResoureError.

Typo: ResoureError

> Source/WebCore/ChangeLog:11
> +        Used that domain to log in that console any such error.

Use this domain to log in the console any such error ?
Comment 12 youenn fablet 2018-06-11 16:54:17 PDT
Created attachment 342487 [details]
Patch for landing
Comment 13 WebKit Commit Bot 2018-06-11 19:37:23 PDT
Comment on attachment 342487 [details]
Patch for landing

Clearing flags on attachment: 342487

Committed r232739: <https://trac.webkit.org/changeset/232739>
Comment 14 WebKit Commit Bot 2018-06-11 19:37:25 PDT
All reviewed patches have been landed.  Closing bug.
Comment 15 Radar WebKit Bug Importer 2018-06-11 19:39:12 PDT
<rdar://problem/41031016>